org.apache.uima.flow

## Class SimpleStepWithResultSpec

- java.lang.Object
- - org.apache.uima.flow.Step
  - - org.apache.uima.flow.SimpleStep
    - - org.apache.uima.flow.SimpleStepWithResultSpec

- Deprecated.
  For backwards compatibility with Capability Language Flow only. User-developed Flow Controllers should not use this.

      @Deprecated
      public class SimpleStepWithResultSpec
      extends SimpleStep

  Special type of SimpleStep intended only for backwards compatibility with the behavior of the Capability Language Flow in UIMA 1.x. Allows the Flow Controller to set a Result Specification for the AE that will be called next.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleStepWithResultSpec(String aCasProcessorKey, ResultSpecification aResultSpec)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `ResultSpecification` | `getResultSpecification()` Deprecated. Gets the results specification
    `void` | `setResultSpecification(ResultSpecification aResultSpec)` Deprecated. Sets the results specification

    - ### Methods inherited from class org.apache.uima.flow.SimpleStep

      `getAnalysisEngineKey, setAnalysisEngineKey`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleStepWithResultSpec

          public SimpleStepWithResultSpec(String aCasProcessorKey,
                                          ResultSpecification aResultSpec)

      Deprecated.
      Parameters:
        `aCasProcessorKey` - key
        `aResultSpec` - Result Specification

  - ### Method Detail

    - #### getResultSpecification

          public ResultSpecification getResultSpecification()

      Deprecated.
      Gets the results specification
      Returns:
        the results specification

    - #### setResultSpecification

          public void setResultSpecification(ResultSpecification aResultSpec)

      Deprecated.
      Sets the results specification
      Parameters:
        `aResultSpec` - the results specification to set

Copyright © 2006–2021 The Apache Software Foundation. All rights reserved.